<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xy.mapper.DeviceDoorRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.xy.entity.DeviceDoorRecord">
        <id column="id" property="id" />
        <result column="device_id" property="deviceId" />
        <result column="door" property="door" />
        <result column="status" property="status" />
        <result column="type" property="type" />
        <result column="create_time" property="createTime" />
    </resultMap>

</mapper>
